# UPDATE AN LRS NUC (MATRICE NUC)

This is how to update a NUC that also contains non-wara-ps software
and is intended for machines used in the internal research in AIICS.

All commands are run in the lrs_playbook directory.

## Update Remotely

Run the commands on the installation machine.

Update all NUCs;
```bash
ansible-playbook -i hosts playbooks/lrs.yml -e user=lrs -e install_user=lrs -e hostname=lrsnucservers
```

Update mat0;
```bash
ansible-playbook -i hosts playbooks/lrs.yml -e user=lrs -e install_user=lrs -e hostname=mat0
```

Only update repose and compile on mat0:
```bash
ansible-playbook -i hosts playbooks/lrs.yml -e user=lrs -e install_user=lrs -e hostname=mat0 --tags lrsrepos
ansible-playbook -i hosts playbooks/lrs.yml -e user=lrs -e install_user=lrs -e hostname=mat0 --tags lrsbuild
```

## Update Locally

Assume we want to update mat 0. Log in to mat 0.

If no new repose have been added and you only want to update and compile the lrs repos:
```bash
cd lrs_ws/src
vcs-pull
catkin build
```

If new repos have been added to the playbook files.
```bash
cd lrs_playbook
git pull
ansible-playbook -i hosts playbooks/lrs.yml -e user=lrs -e install_user=lrs -e hostname=localhost --tags lrsrepos
ansible-playbook -i hosts playbooks/lrs.yml -e user=lrs -e install_user=lrs -e hostname=localhost --tags lrsbuild
```
