# INSTALL A WARA CLOUD GPU MACHINE

```bash
ansible-playbook playbooks/create_gpu.yml --private-key ~/.ssh/safekey.pem
```

Fix ssh login to wara-gpu-0.

```bash
ansible-playbook -i hosts playbooks/format_gpu.yml --private-key ~/.ssh/safekey.pem
```

```bash
ansible-playbook -i hosts playbooks/gpu.yml --private-key ~/.ssh/safekey.pem
```

Test nvidia driver:
```bash
nvidia-smi
```

OLD STUFF BELOW...

```bash
ansible-playbook -i hosts playbooks/nvidia-docker.yml --private-key ~/.ssh/safekey.pem
```

Start nvidia docker with working X:

```bash
ssh -X wara-gpu-0
xeyes
cd docker/
cd waraps_docker_images/
./run_docker.sh
cd /opt/bin
# non-display version
python run_det_file.py -i /data/videos/K1_test.mov -m 7
# Display output (should not work in the cloud...)
python run_det_file.py -i /data/videos/K1_test.mov -m 7 --output
```
