#!/bin/bash

#docker run --gpus all \
#  --network host \
#  --security-opt apparmor:unconfined \
#  --ulimit nofile=1024 \
#  --ipc=host \
#  -v /tmp/.X11-unix:/tmp/.X11-unix \
#  -e DISPLAY=unix:1.0\
#  -e ROS_IP=${ROS_IP} \
#  -e ROS_MASTER_URI=http://10.8.0.10:11311 \
#  --rm -it --name devenv gitlab.liu.se:5000/lrs/devenv_docker_images/lrs-noetic:devel roslaunch lrs_wara_gazebo granso.launch gui:=false rtsp:=false
#

env DISPLAY=:1.0 ROS_MASTER_URI=http://10.8.0.48:11311 vglrun -d :0.0 -- roslaunch lrs_wara_gazebo granso_many_dji.launch gui:=false rtsp:=true --wait

#env ROS_MASTER_URI=http://10.8.0.10:11311 roslaunch lrs_wara_gazebo granso.launch gui:=false rtsp:=false

# Tesla doc
#
# https://www.nvidia.com/content/dam/en-zz/Solutions/Data-Center/tesla-product-literature/remote-viz-tesla-gpus.pdf
#
# Setting up X:
#
# https://virtualgl.org/Documentation/HeadlessNV
#
# Xvfb is running on :1.0
#
# The GPU is :0.0
#
# Configuring virtualgl:
#
# https://cdn.rawgit.com/VirtualGL/virtualgl/2.6.5/doc/index.html#hd003
#
# https://cdn.rawgit.com/VirtualGL/virtualgl/2.6.5/doc/index.html
#
#
