# INSTALL A WARA NUC (GENERIC)

The NUC is here the target machine.

- Install Ubuntu Server 18.04 from an USB stick. Get the image from for examples:
```bash
https://www.ubuntu.com/download/server
```
Download 18.04.X LTS.

- During installation configure the network and also create a user according to:
```
Username: wara
Password: warawara17
```

Choose a suitable hostname. Suppose the IP number for the new machine is 192.168.2.33

- After installation if needed configure the network.

- From the installation machine do:
```bash
ssh-copy-id -i wara@192.168.2.33
```

- On the installation machine add the following to .ssh/config (assume we call the target machine mat15):
```
Host mat15
  Hostname 192.168.2.33
  User wara
  StrictHostKeyChecking no
```

- Log in on the mat15 NUC (192.168.2.33) and edit sudoers with the command "sudo visudo" and edit the line:
```bash
%sudo   ALL=(ALL:ALL) ALL
```
to
```bash
%sudo  ALL=(ALL:ALL) NOPASSWD: ALL
```

On the installation machine do:
```bash
cd lrs_playbooks
ansible-playbook -i hosts playbooks/wara.yml -e user=wara -e install_user=wara -e hostname=waranucservers -e replace_bashrc=yes
```

This will install or update all NUC servers specified in the hosts
file and that are reachable from the installation machine. It will
also configure openvpn so that the machine connects to the WARA
openvpn network.
